
SCM Creator (+Github) - Feature #1770

Should destroy remove the repository as well?

01 Jun 2011 15:39 - Andriy Lesyuk

Status: Closed Start date: 01 Jun 2011

Priority: Normal Due date: 13 Sep 2011

Assignee: Andriy Lesyuk % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.2.0   

External issue:    

Description

Currently when you click on the “Delete” button in Repository settings the Repository object is only removed and the repository itself

(on disk) remains.

I can add an config option destroy_removes (e.g.) which when set will remove repo on disk... But now sure if this is needed?

Associated revisions

Revision 33 - 13 Sep 2011 21:57 - Andriy Lesyuk

Removing directory on repository remove (fixes #1770)

History

#1 - 14 Jul 2011 13:17 - Andriy Lesyuk

What abount project remove?.. I guess the repo should be removed as well... Perhaps, it can ask “Do you want also to remove associated

repository?”.

#2 - 18 Jul 2011 13:01 - Andriy Lesyuk

- Target version set to 0.2.0

#3 - 13 Sep 2011 20:28 - Andriy Lesyuk

I guess I should use :before_destroy...

#4 - 13 Sep 2011 21:58 - Andriy Lesyuk

- Due date set to 13 Sep 2011

- Status changed from Incomplete to Closed

- Assignee set to Andriy Lesyuk

- % Done changed from 0 to 100
